### org.jfree.layouting.modules.output.html

# Class StreamingHtmlOutputProcessor

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessor`
  - - `org.jfree.layouting.modules.output.html.StreamingHtmlOutputProcessor`

Implemented Interfaces:
  HtmlOutputProcessor, OutputProcessor

`public class StreamingHtmlOutputProcessor`
`extends AbstractOutputProcessor`
`implements HtmlOutputProcessor`

Creation-Date: 12.11.2006, 14:12:38

Author:
  Thomas Morgner

  ## Field Summary

  ### Fields inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `PROCESSING_CONTENT`, `PROCESSING_GLOBAL_CONTENT`, `PROCESSING_PAGES`

  ## Constructor Summary

  `StreamingHtmlOutputProcessor(Configuration configuration)`

  ## Method Summary

  `Renderer`

  `createRenderer(LayoutProcess layoutProcess)`

  `OutputProcessorMetaData`

  `getMetaData()`

  `HtmlPrinter`

  `getPrinter()`

  `protected void`

  `processPageContent(LogicalPageKey logicalPageKey, LogicalPageBox logicalPage)`

  `void`

  `setPrinter(HtmlPrinter printer)`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessor

  `createInputFeed`, `createLogicalPage`, `createModelBuilder`, `createNormalizer`, `getConfiguration`, `getDocumentContext`, `getLogicalPage`, `getLogicalPageCount`, `getPageCursor`, `getProcessingState`, `isContentGeneratable`, `isGlobalStateComputed`, `isPaginationFinished`, `processContent`, `processDocumentMetaData`, `processPageContent`, `processingContentFinished`, `processingFinished`, `processingGlobalContentFinished`, `processingPagesFinished`, `setPageCursor`

## Constructor Details

### StreamingHtmlOutputProcessor

    public StreamingHtmlOutputProcessor(Configuration configuration)

## Method Details

### createRenderer

    public Renderer createRenderer(LayoutProcess layoutProcess)

> Specified by:
>   createRenderer in interface OutputProcessor

### getMetaData

    public OutputProcessorMetaData getMetaData()

> Specified by:
>   getMetaData in interface OutputProcessor

### getPrinter

    public HtmlPrinter getPrinter()

> Specified by:
>   getPrinter in interface HtmlOutputProcessor

### processPageContent

    protected void processPageContent(LogicalPageKey logicalPageKey,
                                      LogicalPageBox logicalPage)

> Overrides:
>   processPageContent in interface AbstractOutputProcessor

### setPrinter

    public void setPrinter(HtmlPrinter printer)

> Specified by:
>   setPrinter in interface HtmlOutputProcessor